package com.rjconsultores.ventaboletos.enums;

public enum EnumDesconto {
	
	INATIVO("false", "Acrescimo"),
	ATIVO("true", "Desconto");
	
	private String valor;
	private String descricao;
	
	private EnumDesconto(String valor, String descricao) {
		this.valor = valor;
		this.descricao = descricao;
	}

	public String getValor() {
		return valor;
	}
	
	@Override
	public String toString() {
		return this.descricao;
	}
	
	public static EnumDesconto buscarPeloValor(String tValor) {
		for (EnumDesconto valor : EnumDesconto.values()) {
			if (valor.getValor().equalsIgnoreCase(tValor)) {
				return valor;
			}
		}
		return null;
	}
	
}
